Subject: bug#59338: closed (Re: bug#59338: 29.0.50; Commit 1a2d603bb3 breaks Eglot on Windows)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 24 Nov 2022 15:29:02 +0000

Your bug report

#59338: 29.0.50; Commit 1a2d603bb3 breaks Eglot on Windows

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
59338: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=59338
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#59338: 29.0.50; Commit 1a2d603bb3 breaks Eglot on Windows
From: João Távora <[email-masked]>
To: Danny Freeman <[email-masked]>, [email-masked]
Cc: Richard Copley <[email-masked]>, Eli Zaretskii <[email-masked]>, [email-masked], [email-masked]
Date: Thu, 24 Nov 2022 15:27:57 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

I've just tested it on a Windows machine and pushed it, thanks.

Closing this.

João

On Thu, Nov 24, 2022 at 1:44 PM Danny Freeman <[email-masked]> wrote:

>
> João Távora <[email-masked]> writes:
>
> > I just found out this bug was ongoing.
> >
> > Eli, if you're proposing to fix url-parse.el to not be fooled by windows
> > file names, then I support that idea, and I think it's the correct
> > thing to do.
> >
> > But.... we still need the eglot.el kludge installed because url-parse.el
> > is not distributed as an ELPA package and Eglot is. So users of
> > Emacs < 29 would not receive the fix and would have their
> > WIndows Eglot broken.
> >
> > João
> >
>
> Should my patch for eglot be merged then?
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=59338#53
>
> --
> Danny Freeman
>

-- 
João Távora

Subject: 29.0.50; Commit 1a2d603bb3 breaks Eglot on Windows
From: Arash Esbati <[email-masked]>
To: emacs-bugs <[email-masked]>
Date: Thu, 17 Nov 2022 17:51:01 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi all,

the commit 1a2d603bb3 was supposed to fix bug#58790, but it introduces
(or possibly surfaces) another one.  With Emacs (checkout c3b64985aa),
eval'ing the next 2 forms returned an URI:

  (require 'eglot)
  (insert "\n" (format "%s" (eglot--path-to-uri
                             "d:/digestif-test/tikz-test.tex")))
  => file:///d%3A/digestif-test/tikz-test.tex

With Emacs 623db40d, it looks like this:

  (require 'eglot)
  (insert "\n" (format "%s" (eglot--path-to-uri
                             "d:/digestif-test/tikz-test.tex")))
  => d:/digestif-test/tikz-test.tex

I think the underlying problem is with the return value of
`url-generic-parse-url', but I'm not familiar enough with it to make a
judgement.  As the result, digestif-LSP doesn't work with the current
Eglot on Windows -- checkout c3b64985aa does.

This is with:
In GNU Emacs 29.0.50 (build 1, x86_64-w64-mingw32) of 2022-11-17
Repository revision: 623db40dd1cd21623c5cecdc0abbf3ce885f92b1
Repository branch: master
System Description: Microsoft Windows 10 Pro

Best, Arash